Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui
Interface IDebugEditorPresentation

public interface IDebugEditorPresentation

A debug model presentation may implement this interface to override standard editor positioning and annotations associated with source code display for stack frames.

Since:
  3.0

Method Summary
`boolean` | `addAnnotations(IEditorPart editorPart, IStackFrame frame)` Positions and adds annotations to the given editor for the specified stack frame and returns whether any annotations were added.
`void` | `removeAnnotations(IEditorPart editorPart, IThread thread)` Removes any debug related annotations from the given editor.

Method Detail

### addAnnotations

    public boolean addAnnotations(IEditorPart editorPart,
                                  IStackFrame frame)

  Positions and adds annotations to the given editor for the specified stack frame and returns whether any annotations were added. When `true` is returned, a call will be made to remove anntations when the source selection is cleared for the stack frame. When `false` is returned, the debugger will position and add standard annotations to the editor, and a corresponding call to remove annotations will not be made. This method is called when the debugger is has opened an editor to display source for the given stack frame.

  Parameters:
    `editorPart` - the editor the debugger has opened
    `frame` - the stack frame for which the debugger is displaying source

### removeAnnotations

    public void removeAnnotations(IEditorPart editorPart,
                                  IThread thread)

  Removes any debug related annotations from the given editor. This method is called when the debugger clears the source selection in an editor opened by the debugger. For example, when a debug session is resumed or terminated.

  Parameters:
    `editorPart` - an editor that annotations were added to for a stack frame
    `thread` - the thread for which stack frame annotations were added to the editor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.